<div class="widget_content_tree for_cat_desc">
	<ul>
		<?php 
			$model = cmsCore::getModel('content');
			$item_count = $model->getContentItemsCount($ctype_name);
		?>
		<?php $last_level = 0; $is_visible = false; $show_full_tree = $widget->getOption('show_full_tree'); ?>
 
		<?php foreach($cats as $id=>$item){?>

			<?php
			   $item_count = $model->filterCategory($ctype_name, $item, true)->getContentItemsCount($ctype_name);
			   $model->resetFilters();  
			?> 
			<?php
				$is_active = (!empty($active_cat['id']) && $id == $active_cat['id']) || (empty($active_cat['id']) && empty($item['slug']));
				$is_visible = isset($path[$item['id']]) || isset($path[$item['parent_id']]) || $item['ns_level'] <= 1;
				if (!isset($item['ns_level'])) { $item['ns_level'] = 1; }
				$item['childs_count'] = ($item['ns_right'] - $item['ns_left']) > 1;
				$url = href_to($ctype_name, $item['slug']);
			?>
 
			<?php for ($i=0; $i<($last_level - $item['ns_level']); $i++) { ?>
				</li></ul>
			<?php } ?>
 
			<?php if ($item['ns_level'] <= $last_level) { ?>
				</li>
			<?php } ?>
 
			<?php
				$css_classes = array();
				if ($is_active) { $css_classes[] = 'active'; }
				if ($item['childs_count']) { $css_classes[] = 'folder'; }
				if (!$is_visible && !$show_full_tree) { $css_classes[] = 'folder_hidden'; }
			?>
 
			<li <?php if ($css_classes) { ?>class="<?php echo implode(' ', $css_classes); ?>"<?php } ?>>
				<div class="cat_title">
					<a class="cat_href" href="<?php echo $url; ?>"><?php html($item['title']); ?></a>
					<span class="cat_count"><?php echo $item_count; ?></span>
				</div>
				<?php if ($item['description']) { ?>
					<div class="cat_desc"><?php echo $item['description']; ?></div>
				<?php } ?>
				<?php if ($item['childs_count']) { ?><ul><?php } ?>
 
				<?php $last_level = $item['ns_level']; ?>
 
		<?php } ?>
 
		<?php for ($i=0; $i<$last_level; $i++) { ?>
			</li></ul>
		<?php } ?>
 
</div>
<script>
	$(function(){
		$('.for_cat_desc li.active').parents('li').addClass('active');
	});
</script>
<style>
.for_cat_desc.widget_content_tree {
	margin: -10px;
}
.for_cat_desc.widget_content_tree > ul {
	display: inline-flex;
	flex-wrap: wrap;
	justify-content: space-around;
	width: 100%;
}
.for_cat_desc.widget_content_tree > ul > li {
	box-sizing: border-box;
	flex-basis: calc(50% - 20px);
	background-color: #fff;
	background-image: none;
	margin: 10px;
	padding: 15px;
	background-color: #f5f5f5;
	border: 1px solid #ccc;
}
.for_cat_desc.widget_content_tree li ul li {
	display: inline-block;
	margin: 10px 10px 0 0;
}
.for_cat_desc.widget_content_tree li ul li.folder_hidden {
	display: none;
}
.for_cat_desc.widget_content_tree > ul > li > .cat_title {
	font-size: 1.3em;
}
.for_cat_desc.widget_content_tree li.active > .cat_title a {
	color: #d35400;
}
.for_cat_desc.widget_content_tree > ul > li > .cat_title .cat_count {
	background-color: #68809B;
	border-radius: 4px;
	color: #fff;
	font-size: .8em;
	margin-left: 10px;
	padding: 0 5px;
	transition: .15s;
}
.for_cat_desc.widget_content_tree > ul > li.active > .cat_title .cat_count,
.for_cat_desc.widget_content_tree > ul > li > .cat_title .cat_href:hover + .cat_count {
	background-color: #d35400;
}
.for_cat_desc.cat_desc {
	font-size: .9em;
	margin: 10px 0 0;
}
@media screen and (max-width: 639px) {
	.for_cat_desc.widget_content_tree > ul > li {
		flex-basis: calc(100% - 20px);
	}
}
</style>